Package org.apache.sling.query.impl.selector.parser

## Class SelectorParser

- java.lang.Object
- - org.apache.sling.query.impl.selector.parser.SelectorParser

    public final class SelectorParser
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static List<SelectorSegment>` `getFirstSegmentFromEachSelector​(List<Selector> selectors)`
`static List<Selector>` `parse​(String selector)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### parse

    public static List<Selector> parse​(String selector)

#### getFirstSegmentFromEachSelector

    public static List<SelectorSegment> getFirstSegmentFromEachSelector​(List<Selector> selectors)